export const schema = gql`
  type Nachhilfeangebot {
    id: Int!
    subject: String!
    currentClass: String!
    cost: Float!
    user: User!
  }

  type Query {
    nachhilfeangebots: [Nachhilfeangebot!]! @requireAuth
    nachhilfeangebot(id: Int!): Nachhilfeangebot @requireAuth
  }

  input CreateNachhilfeangebotInput {
    subject: String!
    currentClass: String!
    cost: Float!
  }

  input UpdateNachhilfeangebotInput {
    subject: String
    currentClass: String
    cost: Float
  }

  type Mutation {
    createNachhilfeangebot(
      input: CreateNachhilfeangebotInput!
    ): Nachhilfeangebot! @requireAuth
    updateNachhilfeangebot(
      id: Int!
      input: UpdateNachhilfeangebotInput!
    ): Nachhilfeangebot! @requireAuth
    deleteNachhilfeangebot(id: Int!): Nachhilfeangebot! @requireAuth
  }
`
